Bug 1767240 - Review Request: podman-compose - Run docker-compose.yml using podman
Summary: Review Request: podman-compose - Run docker-compose.yml using podman
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-31 00:24 UTC by Gwyn Ciesla
Modified: 2019-11-17 01:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-17 01:30:09 UTC
nphilipp: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2019-10-31 00:24:47 UTC
SRPM: https://fedorapeople.org/~limb/review/podman-compose/podman-compose-0.1.5-1.git20191030.fc31.src.rpm
SPEC: https://fedorapeople.org/~limb/review/podman-compose/podman-compose.spec


Description:
An implementation of docker-compose with podman backend.
The main objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

Comment 1 Nils Philippsen 2019-10-31 15:30:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec uses %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: podman-compose-0.1.5-1.git20191030.fc32.noarch.rpm
          podman-compose-0.1.5-1.git20191030.fc32.src.rpm
podman-compose.noarch: W: spelling-error Summary(en_US) yml -> ml, y ml
podman-compose.noarch: W: spelling-error %description -l en_US yml -> ml, y ml
podman-compose.noarch: W: no-manual-page-for-binary podman-compose
podman-compose.src: W: spelling-error Summary(en_US) yml -> ml, y ml
podman-compose.src: W: spelling-error %description -l en_US yml -> ml, y ml
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LC_CTYPE = "C.UTF-8",
    LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LC_CTYPE = "C.UTF-8",
    LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
podman-compose.noarch: W: spelling-error Summary(en_US) yml -> ml, y ml
podman-compose.noarch: W: spelling-error %description -l en_US yml -> ml, y ml
podman-compose.noarch: W: invalid-url URL: https://github.com/containers/podman-compose <urlopen error [Errno -2] Name or service not known>
podman-compose.noarch: W: no-manual-page-for-binary podman-compose
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/containers/podman-compose/archive/bb7120f3ffa47ad47be8f679202d7203b1c6d7c4/podman-compose-bb7120f.tar.gz :
  CHECKSUM(SHA256) this package     : 4ebaae8637ab4037aae3aeb242d13d36894c106dffacc7630cea84f7de2bd04c
  CHECKSUM(SHA256) upstream package : 4ebaae8637ab4037aae3aeb242d13d36894c106dffacc7630cea84f7de2bd04c


Requires
--------
podman-compose (rpmlib, GLIBC filtered):
    /usr/bin/python3
    podman
    python(abi)
    python3-pyyaml
    python3.8dist(pyyaml)
    python3.8dist(setuptools)



Provides
--------
podman-compose:
    podman-compose
    python3.8dist(podman-compose)
    python3dist(podman-compose)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1767240
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, Ocaml, SugarActivity, C/C++, R, fonts, PHP, Java, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Nils Philippsen 2019-10-31 15:37:05 UTC
The package passes all MUST items and is APPROVED.

You might consider running the tests that come with the package during %check.

Thanks for contributing!

Comment 3 Gwyn Ciesla 2019-10-31 15:40:17 UTC
Thanks. The contents of tests/ are actually docker-compose.yml examples, and not suitable for %check.

Comment 4 Gwyn Ciesla 2019-10-31 15:42:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/podman-compose

Comment 5 Fedora Update System 2019-10-31 18:20:04 UTC
FEDORA-2019-bb97d4067e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bb97d4067e

Comment 6 Fedora Update System 2019-11-03 06:01:06 UTC
podman-compose-0.1.5-1.git20191030.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bb97d4067e

Comment 7 Yajo 2019-11-05 09:56:24 UTC
Not working fine.

No matter what command I run, I get: 

Traceback (most recent call last):
  File "/usr/bin/podman-compose", line 11, in <module>
    load_entry_point('podman-compose==0.1.6.dev0', 'console_scripts', 'podman-compose')()
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 1263, in main
    podman_compose.run()
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 738, in run
    self._parse_compose_file()
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 818, in _parse_compose_file
    flat_deps(services, with_extends=True)
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 613, in flat_deps
    rec_deps(services, name)
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 592, in rec_deps
    new_deps = rec_deps(services, dep_name, start_point)
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 592, in rec_deps
    new_deps = rec_deps(services, dep_name, start_point)
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 592, in rec_deps
    new_deps = rec_deps(services, dep_name, start_point)
  [Previous line repeated 991 more times]
  File "/usr/lib/python3.7/site-packages/podman_compose.py", line 585, in rec_deps
    for dep_name in deps.copy():
RecursionError: maximum recursion depth exceeded while calling a Python object

Comment 8 Gwyn Ciesla 2019-11-05 14:10:56 UTC
Does this occur with any docker-compose.yaml? Would you be able to attach the one you're seeing this on?

Comment 9 Yajo 2019-11-07 08:35:51 UTC
Just clone https://github.com/Tecnativa/doodba-scaffolding and use the devel.yaml file.

Comment 10 Gwyn Ciesla 2019-11-07 14:34:21 UTC
Odd.  It's working on several others, including test.yaml from that project.

Filed upstream: https://github.com/containers/podman-compose/issues/76

Comment 11 Gwyn Ciesla 2019-11-07 17:22:43 UTC
Upstream fixed it, I'll get an update out.

Comment 12 Fedora Update System 2019-11-07 17:36:22 UTC
FEDORA-2019-f8612d712b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f8612d712b

Comment 13 Tomas Dabašinskas 2019-11-08 10:31:01 UTC
thanks for the package, I've installed it on f31 and aliased docker-compose=podman-compose, tried with gitea https://docs.gitea.io/en-us/install-with-docker/ works great! 

$ docker-compose version
podman-composer version  0.1.6dev
podman --version
podman version 1.6.2
0

Comment 14 Yajo 2019-11-08 10:40:35 UTC
With podman-compose-0.1.5-2.git20191107.fc31.noarch.rpm that bug indeed disappeared.

Comment 15 Fedora Update System 2019-11-09 23:20:35 UTC
podman-compose-0.1.5-2.git20191107.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f8612d712b

Comment 16 Fedora Update System 2019-11-17 01:30:09 UTC
podman-compose-0.1.5-2.git20191107.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.